# Retrieve by suppression id
curl -X GET 'https://api.resend.com/suppressions/e169aa45-1ecf-4183-9955-b1499d5701d3' \
-H 'Authorization: Bearer re_xxxxxxxxx'
# Retrieve by email
curl -X GET 'https://api.resend.com/suppressions/steve.wozniak@gmail.com' \
-H 'Authorization: Bearer re_xxxxxxxxx'
{
"object": "suppression",
"id": "e169aa45-1ecf-4183-9955-b1499d5701d3",
"email": "steve.wozniak@gmail.com",
"origin": "manual",
"source_id": null,
"created_at": "2026-10-06T23:47:56.678Z"
}
Retrieve Suppression
Retrieve a single suppression by ID or email.
GET
/
suppressions
/
:suppression
# Retrieve by suppression id
curl -X GET 'https://api.resend.com/suppressions/e169aa45-1ecf-4183-9955-b1499d5701d3' \
-H 'Authorization: Bearer re_xxxxxxxxx'
# Retrieve by email
curl -X GET 'https://api.resend.com/suppressions/steve.wozniak@gmail.com' \
-H 'Authorization: Bearer re_xxxxxxxxx'
{
"object": "suppression",
"id": "e169aa45-1ecf-4183-9955-b1499d5701d3",
"email": "steve.wozniak@gmail.com",
"origin": "manual",
"source_id": null,
"created_at": "2026-10-06T23:47:56.678Z"
}
The Suppressions API is currently in private beta and only available to a
limited number of users. APIs might change before GA.Get in touch if you’re interested in testing
this feature.
Path Parameters
The Suppression ID or email address.
# Retrieve by suppression id
curl -X GET 'https://api.resend.com/suppressions/e169aa45-1ecf-4183-9955-b1499d5701d3' \
-H 'Authorization: Bearer re_xxxxxxxxx'
# Retrieve by email
curl -X GET 'https://api.resend.com/suppressions/steve.wozniak@gmail.com' \
-H 'Authorization: Bearer re_xxxxxxxxx'
{
"object": "suppression",
"id": "e169aa45-1ecf-4183-9955-b1499d5701d3",
"email": "steve.wozniak@gmail.com",
"origin": "manual",
"source_id": null,
"created_at": "2026-10-06T23:47:56.678Z"
}
Was this page helpful?
⌘I